import { FC } from 'react';
import { CheckboxProps } from 'antd';
import { CheckboxChangeEvent } from 'antd/es/checkbox/Checkbox';
type ActionBarProps = CheckboxProps & {
    items?: any[];
    className?: string;
    onChangeSelectAll?: (e: CheckboxChangeEvent) => void;
    onDeselectAll?: () => void;
    addToListButton?: boolean;
    addToOpportunityButton?: boolean;
    exportButton?: boolean;
    hideFromListButton?: boolean;
    compareButton?: boolean;
    selectedItemsCount?: number;
    handleAddToList?: () => void;
    handleAddToOpportunity?: () => void;
    handleExport?: () => void;
    handleHideFromList?: () => void;
    handleCompare?: () => void;
    hideFromListButtonText?: string;
    addToListButtonText?: string;
};
/** @deprecated please use SelectActionBar */
declare const ActionBar: FC<ActionBarProps>;
export default ActionBar;
