import { AvatarProps } from 'antd';
import { FC, ReactElement } from 'react';
import { CredColorType, CredSizeType } from '../../types';
import { IconProps } from '../icon';
export interface Props extends Omit<AvatarProps, 'size' | 'icon'> {
    size?: CredSizeType | number;
    bordered?: boolean;
    color?: CredColorType;
    icon?: IconProps | ReactElement;
}
declare const Avatar: FC<Props>;
export declare const getInitialLetters: (name: string | undefined) => string;
export default Avatar;
