import React from 'react';
import { ButtonProps } from 'antd';
import { EventProps } from '../../hooks/event.hook';
export interface ButtonTrackEvent {
    label: string;
    [key: string]: any;
}
export interface ButtonType extends Omit<ButtonProps, 'variant'>, EventProps {
    badge?: number;
    variant?: 'default' | 'primary';
    /** @deprecated No needed */
    onlyIcon?: boolean;
    borderless?: boolean;
}
declare const Button: React.ForwardRefExoticComponent<ButtonType & React.RefAttributes<any>>;
export default Button;
