import React from 'react';
import { TextAreaProps } from './textarea';
import { AllProps, TextFieldMode } from './type';
export type TextfieldProps = AllProps & {
    label?: string;
    mode?: TextFieldMode;
};
declare const Textfield: {
    (props: TextfieldProps): React.JSX.Element;
    TextArea: (props: TextAreaProps) => React.JSX.Element;
};
export default Textfield;
