import { InputProps } from './input';
import { PasswordInputProps } from './passwordinput';
import { TextAreaProps } from './textarea';
export type InputVariant = 'outline' | 'default' | 'gray';
export type TextFieldMode = 'text' | 'password' | 'textarea';
export interface PasswordModeProps extends PasswordInputProps {
    mode: 'password';
}
export interface TextAreaModeProps extends TextAreaProps {
    mode: 'textarea';
}
export type AllProps = InputProps | PasswordModeProps | TextAreaModeProps;
