import React, { FC, PropsWithChildren } from 'react';
export interface SideBarProps extends PropsWithChildren {
    closeIcon?: React.ReactNode;
    show: boolean;
    onClose?: () => void;
    drawerContent: React.ReactNode;
    header: React.ReactNode;
    closable?: boolean;
    type: 'inline' | 'onPage';
    width?: number;
    maxWidth?: number;
    minWidth?: number;
    hasAnimation?: boolean;
    resizable?: boolean;
    onWidthChange?: (_width: number) => void;
    onResizing?: (_isResizing: boolean) => void;
    paddingBottom?: number;
}
declare const SideBar: FC<SideBarProps>;
export default SideBar;
