import type { SliderRangeProps } from 'antd/es/slider';
import { FC, ReactNode } from 'react';
export type SliderType = 'money' | 'percentage' | 'value' | 'integer';
export interface RangeProps extends Omit<SliderRangeProps, 'range'> {
    label: string;
    type?: SliderType;
    getPlaceHolders?(type: SliderType, min?: number, max?: number): [string, string];
    minPrefix?: ReactNode;
    maxPrefix?: ReactNode;
    format?(val: number, type: SliderType): string;
}
declare const Range: FC<RangeProps>;
export default Range;
