import React, { FC } from 'react';
import { ResizeCallbackData } from 'react-resizable';
interface TitlePropsType {
    width: number;
    onResize: (e: React.SyntheticEvent<Element>, data: ResizeCallbackData) => void;
    onResetSize: () => void;
}
declare const ResizableTitle: FC<Readonly<React.HTMLAttributes<any> & TitlePropsType>>;
export default ResizableTitle;
