import React from 'react';
import { TableProps as AntdTableProps } from 'antd';
import { TableRef } from 'antd/es/table';
interface TableProps<RecordType> extends AntdTableProps<RecordType> {
    bgTransparent?: boolean;
    lineSeparator?: 'solid' | 'dashed';
    cardTable?: boolean;
    resizable?: boolean;
}
declare const Table: React.ForwardRefExoticComponent<TableProps<any> & React.RefAttributes<TableRef>>;
export default Table;
