import React from 'react';
import { SwitchProps } from 'antd';
import { CredTextColorsType } from '../../types';
export type ToggleTypes = 'switch' | 'checkbox' | 'radio';
declare const Toggle: React.ForwardRefExoticComponent<SwitchProps & {
    className?: string | undefined;
    onChange?: ((checked: boolean, event: Event) => void) | undefined;
    type?: ToggleTypes | undefined;
    color?: CredTextColorsType | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export default Toggle;
