/// <reference types="react" />
interface DrawerReturnProps {
    show: boolean;
    onOpen: (id?: string | number) => void;
    onClose: () => void;
    contentId: string | number;
    /** @deprecated use onOpen to send contentId */
    setContentId: React.Dispatch<React.SetStateAction<string | number>>;
}
export declare const useDrawer: () => DrawerReturnProps;
export {};
