export declare const useEventHook: <T>() => {
    fireEvent: (name: EventNames, event?: T | undefined, options?: EventOptions) => void;
};
export declare enum EventNames {
    Search = "CRED_SEARCH",
    Filter = "CRED_FILTER",
    Sort = "CRED_FILTER_SORT",
    ButtonClick = "CRED_BUTTON_CLICK",
    DropdownSelect = "CRED_DROPDOWN_SELECT"
}
export type EventOptions = {
    stopPropagation?: boolean;
};
export type EventModel = {
    [key: string]: any;
};
export type EventProps = {
    eventProps?: {
        data?: EventModel;
        options?: EventOptions;
    };
};
