type Response = {
    open: boolean;
    /** @deprecated use open */
    show: boolean;
    onOpen: () => void;
    onClose: () => void;
};
/**
 * @example const modalProps = useModal()
 * <Modal {...modalProps} />
 * @example const modalProps = useModal('modalName')
 * <Modal {...modalProps} />
 */
export declare const useModal: (name?: string) => Response;
export {};
