import React, { ReactNode, RefObject } from 'react';
import { FlyoutEvents, OptionModel, OptionMultipleValue, OptionSingleValue } from '../type';
type Props = {
    items: OptionModel[];
    value?: OptionMultipleValue;
    scrollRef?: RefObject<HTMLDivElement>;
    renderSelectedItem?: (value: OptionSingleValue) => [() => ReactNode, OptionModel];
} & Omit<FlyoutEvents, 'onSearch'>;
declare const MultipleFlyout: ({ items, value, scrollRef, onChange, onExpand, onNextPage, renderSelectedItem, }: Props) => React.JSX.Element;
export default MultipleFlyout;
