import React from 'react';
import { InputProps as AntdInputProps, InputRef } from 'antd';
import { InputVariant } from './type';
export interface InputProps extends Omit<AntdInputProps, 'variant'> {
    variant?: InputVariant;
}
declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<InputRef>>;
export default Input;
