import React from 'react';
import { InputProps } from './input';
import { InputRef } from 'antd';
import { EventProps } from '../../hooks/event.hook';
export interface SearchInputTrackEvent {
    value: string;
    [key: string]: any;
}
export interface SearchInputProps extends InputProps, EventProps {
    loading?: boolean;
    min?: number;
    /** @default 500ms */
    delay?: number;
    onSearch?(text: string): void;
}
declare const SearchInput: React.ForwardRefExoticComponent<SearchInputProps & React.RefAttributes<InputRef>>;
export default SearchInput;
