import React from 'react';
import { TextAreaProps as AntdTextAreaProps } from 'antd/es/input';
import { InputVariant } from './type';
import { TextAreaRef } from 'antd/es/input/TextArea';
export interface TextAreaProps extends Omit<AntdTextAreaProps, 'variant'> {
    variant?: InputVariant;
}
declare const TextArea: React.ForwardRefExoticComponent<TextAreaProps & React.RefAttributes<TextAreaRef>>;
export default TextArea;
