/// <reference types="react" />
import { ModalProps as AntdModalProps } from 'antd';
export interface HeaderProps {
    title: React.ReactNode;
    onClose: () => void;
    isBackIconVisible?: boolean;
    onBackIconClicked?: () => void;
}
export interface FooterProps {
    primaryAction?: React.ReactNode;
    secondaryAction?: React.ReactNode;
    children?: React.ReactNode;
}
export interface ModalProps extends Omit<HeaderProps, 'title'>, Omit<FooterProps, 'children'>, Omit<AntdModalProps, 'onClose'> {
    open: boolean;
    children: React.ReactNode;
}
