import React, { ReactNode } from 'react';
export type PageTabsModel = {
    key: string;
    label: ReactNode;
    disabled?: boolean;
};
interface PageTabsProps {
    tabs: PageTabsModel[];
    selectedTab: string;
    onTabClick: (key: string) => void;
    actions?: ReactNode;
    backgroundImage?: string;
}
declare const PageTabs: React.FC<PageTabsProps>;
export default PageTabs;
