import { CSSProperties, FC, ReactNode } from 'react';
import { TypographyProps } from '..';
export interface SelectActionBarProps {
    isInline?: boolean;
    selectAllText?: string;
    selectAllTextProps?: TypographyProps;
    onSelectAll?(checked: boolean): void;
    deselectText?: string;
    deselectTextProps?: TypographyProps;
    onDeselect?(): void;
    count?: number;
    countSuffix?: string;
    countText?: string;
    countTextProps?: TypographyProps;
    actions?: ReactNode;
    className?: string;
    wrapperStyle?: CSSProperties;
}
declare const SelectActionBar: FC<SelectActionBarProps>;
export default SelectActionBar;
