import { FC, ReactNode } from 'react';
import { SliderSingleProps } from 'antd';
export type SliderType = 'money' | 'percentage' | 'value' | 'integer';
export interface SingleProps extends Omit<SliderSingleProps, 'range'> {
    label: string;
    type?: SliderType;
    getPlaceHolders?(type: SliderType, min?: number, max?: number): [string, string];
    minPrefix?: ReactNode;
    maxPrefix?: ReactNode;
    format?(val: number, type: SliderType): string;
}
declare const SingleRange: FC<SingleProps>;
export default SingleRange;
