import React, { ReactNode } from 'react';
import { TooltipProps as AntdTooltipProps } from 'antd';
type TooltipVariant = 'dark' | 'light';
export type TooltipProps = AntdTooltipProps & {
    variant?: TooltipVariant;
    link?: string;
    pending?: boolean;
    title: ReactNode;
};
declare const Tooltip: React.FunctionComponent<TooltipProps>;
export default Tooltip;
