export type CredColorType = 'gray' | 'green' | 'red' | 'amber' | 'purple' | 'blue' | 'lime' | 'pink' | 'yellow' | 'black';
export type CredColorScaleType = 900 | 800 | 700 | 600 | 500 | 400 | 300 | 200 | 100 | 50;
export type CredColorVariantType = 'primary' | 'secondary' | 'tertiary' | 'destructive' | 'inverse' | 'brand';
export type CredRichColorsType = 'green-dark' | 'green' | 'purple' | 'purple-light' | 'pink' | 'blue' | 'yellow' | 'red';
export type CredActionColorsType = 'default' | 'hover' | 'active' | 'muted';
export type CredButtonColorsType = 'destructive' | 'default' | 'primary' | 'secondary';
export type CredTextColorsType = CredColorVariantType | 'link' | 'success';
export type CredBackgroundColorsType = 'dark' | 'brand' | 'light' | 'default';
export type CredIconColorsType = CredColorVariantType | 'success';
export type CredShadowType = 'sm' | 'md' | 'lg' | 'xl' | '2xl' | 'base' | 'inner';
export type CredRadiusType = 'none' | '2xs' | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | 'full';
export type CredSpaceType = 'none' | '1' | '6xs' | '5xs' | '4xs' | '3xs' | '2xs' | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | '3xl' | '4xl' | '5xl' | '6xl';
export type CredSizeType = '3xs' | '2xs' | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | '3xl';
